"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validators = exports.connection = exports.middlewares = void 0;
const tslib_1 = require("tslib");
const joi_1 = tslib_1.__importDefault(require("joi"));
const xregex_logger_1 = require("@nodeplusplus/xregex-logger");
exports.middlewares = joi_1.default.array().items(joi_1.default.object({
    id: joi_1.default.string().required().required(),
    priority: joi_1.default.number().required(),
    options: joi_1.default.object().optional().unknown(true),
}));
exports.connection = joi_1.default.object({
    uri: joi_1.default.string().uri().required(),
    database: joi_1.default.string().required(),
    collection: joi_1.default.string(),
    clientOpts: joi_1.default.object().optional().unknown(true),
}).required();
exports.validators = joi_1.default.object({
    CONNECTIONS: joi_1.default.object({
        FILE: joi_1.default.object({
            uri: joi_1.default.string().required(),
        }),
        REDIS: exports.connection,
        MONGODB: exports.connection,
        RABBITMQ: joi_1.default.object({
            uri: joi_1.default.string().uri().required(),
            clientOpts: joi_1.default.object().optional().unknown(true),
        }),
    }).required(),
    logger: joi_1.default.object({
        type: joi_1.default.string()
            .required()
            .allow(Object.values(xregex_logger_1.LoggerType)),
        options: joi_1.default.object({
            level: joi_1.default.string().allow(Object.values(xregex_logger_1.LoggerLevel)),
            name: joi_1.default.string(),
        }),
    }).required(),
}).unknown(true);
